java.sql

## Class SQLNonTransientException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - java.sql.SQLNonTransientException

- All Implemented Interfaces:
    Serializable, Iterable<Throwable>
  Direct Known Subclasses:
    SQLDataException, SQLFeatureNotSupportedException, SQLIntegrityConstraintViolationException, SQLInvalidAuthorizationSpecException, SQLNonTransientConnectionException, SQLSyntaxErrorException

      public class SQLNonTransientException
      extends SQLException

  The subclass of `SQLException` thrown when an instance where a retry of the same operation would fail unless the cause of the `SQLException` is corrected.

  Since:
    1.6
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SQLNonTransientException()` Constructs a `SQLNonTransientException` object.
    `SQLNonTransientException(String reason)` Constructs a `SQLNonTransientException` object with a given `reason`.
    `SQLNonTransientException(String reason, String SQLState)` Constructs a `SQLNonTransientException` object with a given `reason` and `SQLState`.
    `SQLNonTransientException(String reason, String SQLState, int vendorCode)` Constructs a `SQLNonTransientException` object with a given `reason`, `SQLState` and `vendorCode`.
    `SQLNonTransientException(String reason, String SQLState, int vendorCode, Throwable cause)` Constructs a `SQLNonTransientException` object with a given `reason`, `SQLState`, `vendorCode` and `cause`.
    `SQLNonTransientException(String reason, String SQLState, Throwable cause)` Constructs a `SQLNonTransientException` object with a given `reason`, `SQLState` and `cause`.
    `SQLNonTransientException(String reason, Throwable cause)` Constructs a `SQLTransientException` object with a given `reason` and `cause`.
    `SQLNonTransientException(Throwable cause)` Constructs a `SQLNonTransientException` object with a given `cause`.

  - ### Method Summary

    - ### Methods inherited from class java.sql.SQLException

      `getErrorCode, getNextException, getSQLState, iterator, setNextException`

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SQLNonTransientException

          public SQLNonTransientException()

      Constructs a `SQLNonTransientException` object. The `reason`, `SQLState` are initialized to `null` and the vendor code is initialized to 0. The `cause` is not initialized, and may subsequently be initialized by a call to the `Throwable.initCause(java.lang.Throwable)` method.

      Since:
        1.6

    - #### SQLNonTransientException

          public SQLNonTransientException(String reason)

      Constructs a `SQLNonTransientException` object with a given `reason`. The `SQLState` is initialized to `null` and the vender code is initialized to 0. The `cause` is not initialized, and may subsequently be initialized by a call to the `Throwable.initCause(java.lang.Throwable)` method.

      Parameters:
        `reason` - a description of the exception
      Since:
        1.6

    - #### SQLNonTransientException

          public SQLNonTransientException(String reason,
                                  String SQLState)

      Constructs a `SQLNonTransientException` object with a given `reason` and `SQLState`. The `cause` is not initialized, and may subsequently be initialized by a call to the `Throwable.initCause(java.lang.Throwable)` method. The vendor code is initialized to 0.

      Parameters:
        `reason` - a description of the exception
        `SQLState` - an XOPEN or SQL:2003 code identifying the exception
      Since:
        1.6

    - #### SQLNonTransientException

          public SQLNonTransientException(String reason,
                                  String SQLState,
                                  int vendorCode)

      Constructs a `SQLNonTransientException` object with a given `reason`, `SQLState` and `vendorCode`. The `cause` is not initialized, and may subsequently be initialized by a call to the `Throwable.initCause(java.lang.Throwable)` method.

      Parameters:
        `reason` - a description of the exception
        `SQLState` - an XOPEN or SQL:2003 code identifying the exception
        `vendorCode` - a database vendor specific exception code
      Since:
        1.6

    - #### SQLNonTransientException

          public SQLNonTransientException(Throwable cause)

      Constructs a `SQLNonTransientException` object with a given `cause`. The `SQLState` is initialized to `null` and the vendor code is initialized to 0. The `reason` is initialized to `null` if `cause==null` or to `cause.toString()` if `cause!=null`.

      Parameters:
        `cause` - the underlying reason for this `SQLException` (which is saved for later retrieval by the `getCause()` method); may be null indicating the cause is non-existent or unknown.
      Since:
        1.6

    - #### SQLNonTransientException

          public SQLNonTransientException(String reason,
                                  Throwable cause)

      Constructs a `SQLTransientException` object with a given `reason` and `cause`. The `SQLState` is initialized to `null` and the vendor code is initialized to 0.

      Parameters:
        `reason` - a description of the exception.
        `cause` - the underlying reason for this `SQLException` (which is saved for later retrieval by the `getCause()` method); may be null indicating the cause is non-existent or unknown.
      Since:
        1.6

    - #### SQLNonTransientException

          public SQLNonTransientException(String reason,
                                  String SQLState,
                                  Throwable cause)

      Constructs a `SQLNonTransientException` object with a given `reason`, `SQLState` and `cause`. The vendor code is initialized to 0.

      Parameters:
        `reason` - a description of the exception.
        `SQLState` - an XOPEN or SQL:2003 code identifying the exception
        `cause` - the underlying reason for this `SQLException` (which is saved for later retrieval by the `getCause()` method); may be null indicating the cause is non-existent or unknown.
      Since:
        1.6

    - #### SQLNonTransientException

          public SQLNonTransientException(String reason,
                                  String SQLState,
                                  int vendorCode,
                                  Throwable cause)

      Constructs a `SQLNonTransientException` object with a given `reason`, `SQLState`, `vendorCode` and `cause`.

      Parameters:
        `reason` - a description of the exception
        `SQLState` - an XOPEN or SQL:2003 code identifying the exception
        `vendorCode` - a database vendor-specific exception code
        `cause` - the underlying reason for this `SQLException` (which is saved for later retrieval by the `getCause()` method); may be null indicating the cause is non-existent or unknown.
      Since:
        1.6

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.